package com.ruoyi.app.service.impl;

import java.util.List;

import com.ruoyi.app.domain.AppLedConfig;
import com.ruoyi.app.mapper.AppLedConfigMapper;
import com.ruoyi.app.service.IAppLedConfigService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 【请填写功能名称】Service业务层处理
 *
 * @author ruoyi
 * @date 2025-01-14
 */
@Service
public class AppLedConfigServiceImpl implements IAppLedConfigService
{
    @Autowired
    private AppLedConfigMapper appLedConfigMapper;

    /**
     * 查询【请填写功能名称】
     *
     * @param ledId 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    @Override
    public AppLedConfig selectAppLedConfigByLedId(String ledId)
    {
        return appLedConfigMapper.selectAppLedConfigByLedId(ledId);
    }

    /**
     * 查询【请填写功能名称】列表
     *
     * @param appLedConfig 【请填写功能名称】
     * @return 【请填写功能名称】
     */
    @Override
    public List<AppLedConfig> selectAppLedConfigList(AppLedConfig appLedConfig)
    {
        return appLedConfigMapper.selectAppLedConfigList(appLedConfig);
    }

    /**
     * 新增【请填写功能名称】
     *
     * @param appLedConfig 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int insertAppLedConfig(AppLedConfig appLedConfig)
    {
        return appLedConfigMapper.insertAppLedConfig(appLedConfig);
    }

    /**
     * 修改【请填写功能名称】
     *
     * @param appLedConfig 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int updateAppLedConfig(AppLedConfig appLedConfig)
    {
        return appLedConfigMapper.updateAppLedConfig(appLedConfig);
    }

    /**
     * 批量删除【请填写功能名称】
     *
     * @param ledIds 需要删除的【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteAppLedConfigByLedIds(String[] ledIds)
    {
        return appLedConfigMapper.deleteAppLedConfigByLedIds(ledIds);
    }

    /**
     * 删除【请填写功能名称】信息
     *
     * @param ledId 【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteAppLedConfigByLedId(String ledId)
    {
        return appLedConfigMapper.deleteAppLedConfigByLedId(ledId);
    }
}
